/* Bildkartan map styling for _map.html_ and _utan-foton.html_ */

/*#map {
	position: relative; 
	width: 100%;
	height: 100vh;
}*/

/*
#maptest {
	z-index: 1000;
	display: flex;
	align-items: center;
}
*/

#map a {
	border-width: 0px;
}

.leaflet-marker-icon {
	/* filter: drop-shadow(0px 0px 5px rgba(0,0,0,0.5)); */
	/* Justera x-offset, y-offset, suddighet och färg efter behov */}

.cluster-markers {
	background-color:#cc0000;
	color: white;
/*	box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important; */
	text-align: center;
	border-radius: 50%;
	width: 50px;
	height: 50px;
	font-size: 24px;
	line-height: 50px;
	font-weight: bold;
}
	
.leaflet-control {
	border: none !important;
}

.leaflet-control-attribution {
	max-width: 300px;
	max-height: 150px;
	overflow: auto;
	box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important; 
	border-radius: 5px;
	top: 20px;
	left: 20px;
	opacity: 70%;
	font-size: 12px;
}

.leaflet-control-scale {
	max-width: 200px;
	box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
	position: absolute;
	top: 50px;
	left: 20px;
	opacity: 100%;
}

.leaflet-control-zoom {
	box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important; 
	position: relative;
	top: 20px; 
	right: 10px;
	opacity: 70%;
}

.locate, .locate-active {
	background-color: transparent !important;
	background: none;
	background-position: center;
	background-repeat: no-repeat;
	border-width: 0px;
	border: none !important;
	border-style: none;
	border-radius: 25px; /* Gör knappen helt cirkulär */
	position: absolute;
	top: 130px;
	right: 10px;
	width: 50px;
	height: 50px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.locate img {
	width: 50px;
	height: 50px;
}

/* toggle map layers */

#toggleLayer {
	background-color: transparent !important;
	background: none;
	border-width: 0px;
	border: none !important;
	position: absolute;
	top: 125px;
	right: 0px;
	z-index: 999;
	cursor: pointer;
}

#toggleLayer img {
	width: 50px;
	height: 50px;
}

#logo {
	position: absolute;
	top: 20px;
	left: 20px;
	z-index: 1000;
	height: 40px;
}

